diff -Naur vlc-0.8.5-test1/share/http/js/functions.js vlc-0.8.5-test1-modif/share/http/js/functions.js
--- vlc-0.8.5-test1/share/http/js/functions.js	2006-03-14 00:01:04.000000000 +0100
+++ vlc-0.8.5-test1-modif/share/http/js/functions.js	2006-03-15 00:35:48.000000000 +0100
@@ -24,7 +24,7 @@
 /* global variables */
 
 var old_time = 0;
-
+var pl_cur_id;
 /**********************************************************************
  * Slider functions
  *********************************************************************/
@@ -273,11 +273,12 @@
 function pl_play( id )
 {
     loadXMLDoc( 'requests/status.xml?command=pl_play&id='+id, parse_status );
+    pl_cur_id = id;
     setTimeout( 'update_playlist()', 1000 );
 }
 function pl_pause()
 {
-    loadXMLDoc( 'requests/status.xml?command=pl_pause', parse_status );
+    loadXMLDoc( 'requests/status.xml?command=pl_pause&id='+pl_cur_id, parse_status );
 }
 function pl_stop()
 {
@@ -478,6 +479,7 @@
             var pos = document.createElement( "div" );
             var pos_top = pos;
             var elt = answer.firstChild;
+	    pl_cur_id = 0;  /*changed to the current id is there actually is a current id*/
             while( elt )
             {
                 if( elt.nodeName == "node" )
@@ -513,6 +515,7 @@
                         clear_children( nowplaying );
                         nowplaying.appendChild( document.createTextNode( elt.getAttribute( 'name' ) ) );
                         pl.appendChild( document.createTextNode( '* '));
+			pl_cur_id = elt.getAttribute( 'id' );
                     }
                     pl.setAttribute( 'title', elt.getAttribute( 'uri' ));
                     pl.appendChild( document.createTextNode( elt.getAttribute( 'name' ) ) );
diff -Naur vlc-0.8.5-test1/share/http/requests/status.xml vlc-0.8.5-test1-modif/share/http/requests/status.xml
--- vlc-0.8.5-test1/share/http/requests/status.xml	2006-03-14 00:01:04.000000000 +0100
+++ vlc-0.8.5-test1-modif/share/http/requests/status.xml	2006-03-15 00:35:31.000000000 +0100
@@ -42,7 +42,11 @@
     <vlc id="rpn" param1="id value vlc_play" />
   <vlc id="end" />
   <vlc id="if" param1="command value 'pl_pause' strcmp 0 =" />
-    <vlc id="rpn" param1="vlc_pause" />
+    <vlc id="if" param1="stream_state value 'stop' strcmp 0 = id value 0 = ! &" />
+      <vlc id="rpn" param1="id value vlc_play"/>
+    <vlc id="else" />
+      <vlc id="rpn" param1="vlc_pause" />
+    <vlc id="end" />
   <vlc id="end" />
   <vlc id="if" param1="command value 'pl_stop' strcmp 0 =" />
     <vlc id="rpn" param1="vlc_stop" />
